# Please keep this package in sync with FC

%define oname		osinfo

%define api		1.0
%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d

%define girmajor	1.0
%define girname		%mklibname %{oname}-gir %{girmajor}

%global __provides_exclude_from ^%{_datadir}/doc/%{develname}/demo.*$
%global __requires_exclude_from ^%{_datadir}/doc/%{develname}/demo.*$

Summary:	A library for managing OS information for virtualization
Name:		libosinfo
Version:	1.10.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source:		https://releases.pagure.io/%{name}/%{name}-%{version}.tar.xz
URL:		https://libosinfo.org/

###Patches###

BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	git
BuildRequires:	gtk-doc
BuildRequires:	ldetect-lst
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	libsoup-devel
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxslt)
# tests require xmllint:
BuildRequires:	libxml2-utils
BuildRequires:	osinfo-db
Requires: osinfo-db
Requires: osinfo-db-tools

%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%package -n %{libname}
Summary:	Library plugin handling
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{mklibname %{oname} %{major}} = %{version}-%{release}

%description -n %{libname}
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %version-%release
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

Libraries, includes, etc. to compile with the libosinfo library

%package vala
Summary:	Vala bindings
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description vala
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

This package provides the Vala bindings for libosinfo library.
 
%prep
%setup -q

%build
%meson \
    -Denable-gtk-doc=false \
    -Denable-tests=true \
    -Denable-introspection=enabled \
    -Denable-vala=enabled
%meson_build

%install
%meson_install

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-query
%{_bindir}/osinfo-install-script
%{_mandir}/man1/osinfo-detect.1.*
%{_mandir}/man1/osinfo-query.1.*
%{_mandir}/man1/osinfo-install-script.1.*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Libosinfo-%{girmajor}.typelib

%files -n %{develname}
%{_libdir}/%{name}-%{api}.so
%dir %{_includedir}/%{name}-%{api}/
%dir %{_includedir}/%{name}-%{api}/osinfo/
%{_includedir}/%{name}-%{api}/osinfo/*.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/Libosinfo-%{api}.gir

%files vala
%{_datadir}/vala/vapi/libosinfo-1.0.deps
%{_datadir}/vala/vapi/libosinfo-1.0.vapi


%changelog
* Wed Dec 28 2022 tex - 1.10.0-1pclos2023
- new version

* Mon Sep 14 2020 tex - 1.8.0-1pclos2020
- create pkg for pclos from mga

